Page MenuHomePhabricator

Review ORES prediction visibility on wikis where they are enabled by default
Closed, ResolvedPublic

Description

I have some important feedback from Polish Wikipedia, where people are surprised to have the red "r" (locally "p"), and have it staying even if they opt-in/opt-out the "Highlight probably damaging edits on Watchlist and Contributions (using ORES)" in their preferences.

I think we should change the "r" color to black (as @Catrope mentioned someday), but keep ORES predictions visible, because we didn't get any feedback against ORES predictions (ping @Halfak) and it is time to move forward.

The highlight option should be kept opted-out but rephrased to "Highlight more the probably damaging edits on Watchlist and Contributions" and turn the yellow highlighting on and turn the "r" to red.


Suggested improvements

  • Change the "R" default color from red to black
  • Turn the highlighting to off by default
  • When turned on, the R becomes red
  • Rephrase the opt-in sentence to "Highlight more the probably damaging edits on Watchlist and Contributions"

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : wmf/1.29.0-wmf.18Don't make the "r" red except when highlighting is active
mediawiki/extensions/ORES : masterDon't make the "r" red except when highlighting is active

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni
OpenNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 29 2017, 1:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 345401 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@master] Don't make the "r" red and bold except when highlighting is active

https://gerrit.wikimedia.org/r/345401

@Catrope, "r" is supposed to be bold, as "m" or "N", no?

@Catrope, "r" is supposed to be bold, as "m" or "N", no?

Happy to keep it as bold if you guys think that's better...

This comment was removed by Trizek-WMF.

@Catrope, "r" is supposed to be bold, as "m" or "N", no?

Happy to keep it as bold if you guys think that's better...

I think it is better for consistency. :)

You're right, all the other ones are bold too. I've updated my patch.

Trizek-WMF updated the task description. (Show Details)Mar 30 2017, 8:57 AM
Trizek-WMF triaged this task as High priority.Mar 30 2017, 9:12 AM

Change 345401 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Don't make the "r" red except when highlighting is active

https://gerrit.wikimedia.org/r/345401

Change 345648 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.18] Don't make the "r" red except when highlighting is active

https://gerrit.wikimedia.org/r/345648

Change 345648 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.18] Don't make the "r" red except when highlighting is active

https://gerrit.wikimedia.org/r/345648

Mentioned in SAL (#wikimedia-operations) [2017-03-30T23:07:49Z] <catrope@tin> Synchronized php-1.29.0-wmf.18/extensions/ORES/modules/: T161706 (duration: 00m 51s)

Regarding the following spec:

When turned on, the R becomes red

(1) 'r' is never red on RC page - even after disabling 'New filters for edit review' beta feature.

(2) If 'Highlight probably damaging edits on Watchlist and Contributions (using ORES)' option is ON, 'r' is displayed red on Watchlist and Contribution.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Apr 18 2017, 12:44 AM